# Server configuration
# Will be used by backend akka-http webserver
server {
  host: "0.0.0.0"
  port: 1097
  blacklist: []
  save_path: "./save/"
}

# Ocelot Desktop related parameters
desktop {
  # If true will try to sync Ocelot Desktop version data with GitLab
  sync_enabled: false
  # Token used to connect to GitLab API and request build info
  gitlab_token: ""
  # Token used by GitLab webhook to request build info synchronization
  sync_token: ""
  sync_token_header: "X-Gitlab-Token"
}

# Client configuration
# Will be used by frontend websockets client
client {
  host: "ws://localhost:1097"
}
